Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.annotations
Class ClassInheritanceHandler

    java.lang.Object
      org.eclipse.jetty.annotations.ClassInheritanceHandler

All Implemented Interfaces:
  AnnotationParser.ClassHandler

    public class ClassInheritanceHandler

extends java.lang.Object
implements AnnotationParser.ClassHandler

ClassInheritanceHandler As asm scans for classes, remember the type hierarchy.

Constructor Summary
`ClassInheritanceHandler()`

Method Summary
`java.util.List` | `getClassNamesExtendingOrImplementing(java.lang.String className)`
`MultiMap` | `getMap()`
`void` | `handle(java.lang.String className, int version, int access, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassInheritanceHandler

    public ClassInheritanceHandler()

Method Detail

### handle

    public void handle(java.lang.String className,
                       int version,
                       int access,
                       java.lang.String signature,
                       java.lang.String superName,
                       java.lang.String[] interfaces)

  Specified by:
    `handle` in interface `AnnotationParser.ClassHandler`

### getClassNamesExtendingOrImplementing

    public java.util.List getClassNamesExtendingOrImplementing(java.lang.String className)

### getMap

    public MultiMap getMap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.